apiVersion: v1
kind: Service
metadata:
  name: {{ template "daps.fullname" . }}-ui
  labels: {{ include "daps.labels" $ | nindent 4 }}
spec:
  {{- if .Values.dapsUi.nodePort }}
  type: NodePort
  {{- else }}
  type: ClusterIP
  {{- end }}
  ports:
    - port: 80
      targetPort: http
      protocol: TCP
      name: http
      {{- with .Values.dapsUi.nodePort }}
      nodePort: {{ . }}
      {{- end }}

  selector:
    app.kubernetes.io/name: {{ template "daps.fullname" . }}-ui
    app.kubernetes.io/instance: {{ .Release.Name }}
